Subject: [Fot] Underdrive Pulley for Lucas Alternator

From: [email-masked]
Date: Tue, 2 Apr 2013 10:41:04 -0400 (EDT)

Amici,

I seem to remember some one here asking about an underdrive pulley for their
Lucas Alternator.  Well while I searched for my hoard of parts for a project
on my Spit GT, I came across just such an item.  This is a part I had made up
for when I used a Lucas Alternator on my car, it's roughly 5 inches in
diameter.  I could send a photo to your email if interested.

Cheers,
Bob T
'63 Spitfire  street
'64 Spit GT   autocrosser
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive